Documentation Index
Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
Use this file to discover all available pages before exploring further.
Create Task
POST https://services.leadconnectorhq.com/contacts/{contactId}/tasks
Autorizacion
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.
Path parameters
contactId
string
default:"sx6wyHhbFdRXh302LLNR"
required
Contact Id
Body
title
string
default:"First Task"
required
body
string
default:"loram ipsum"
dueDate
string
default:"2020-10-25T11:00:00Z"
required
completed
boolean
default:"True"
required
assignedTo
string
default:"hxHGVRb1YJUscrCB8eXK"
Respuestas
201 - Successful response
id
string
default:"lJpzYrWdpkC2hX6t2yue"
assignedTo
string
default:"tesTUcmRxWrjqzJS8EjkxNKting"
dueDate
string
default:"2021-07-08T02:30:00.000Z"
contactId
string
default:"lJpzYrWdpkC2hX6t2yue"
{
"task": {
"id": "lJpzYrWdpkC2hX6t2yue",
"title": "test",
"body": "testing",
"assignedTo": "tesTUcmRxWrjqzJS8EjkxNKting",
"dueDate": "2021-07-08T02:30:00.000Z",
"completed": true,
"contactId": "lJpzYrWdpkC2hX6t2yue"
}
}
422 - Unprocessable Entity
Ejemplo
curl -X POST 'https://services.leadconnectorhq.com/contacts/YOUR_contactId/tasks' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"title": "First Task",
"body": "loram ipsum",
"dueDate": "2020-10-25T11:00:00Z",
"completed": true,
"assignedTo": "hxHGVRb1YJUscrCB8eXK"
}'